pub mod animation_info;
pub mod hitbox;
pub mod movement;

mod ability_location_info;
pub mod ai;
mod aoe;
pub mod aoe_arc;
pub mod damage_number;
mod entity_faction;
mod ghost;
pub mod health_bar;
mod loot_stash;
mod npc_name;

pub use self::{ai::*, aoe_arc::AreaOfEffectArc};

pub use self::{
    ability_location_info::*,
    animation_info::AnimationInfo,
    aoe::*,
    damage_number::*,
    entity_faction::*,
    ghost::*,
    health_bar::*,
    hitbox::{CollisionEventType, HitBox},
    loot_stash::*,
    movement::Movement,
    npc_name::NPCName,
};

use serde::{Deserialize, Serialize};

pub const MOVEMENT_MAX_THRESHOLD: f32 = 0.8;
pub const MOVEMENT_MIN_THRESHOLD: f32 = 0.4;

#[derive(PartialEq, Eq, Hash, Clone, Copy, Debug, Serialize, Deserialize)]
pub enum AnimationType {
    Move,
    Idle,
    Cast,
    Attack,
    // Add more as you need
}
